Page MenuHomeFreeBSD

Backport two Objective-C bug fixes to devel/llvm70
ClosedPublic

Authored by theraven on Dec 28 2018, 5:49 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Nov 28, 7:23 AM
Unknown Object (File)
Sun, Nov 27, 5:46 AM
Subscribers

Details

Summary

I'm updating the Objective-C ports to use the GNUstep v2 Objective-C ABI and this triggered two bugs in LLVM 7.0. These are now fixed in upstream head, but I'd like to backport the changes to the llvm70 port.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

linimon retitled this revision from Backport two Objective-C bug fixes to LLVM 7 port to Backport two Objective-C bug fixes to devel/llvm70.Dec 29 2018, 4:09 AM

There may be a few more changes coming. I can now build all of the gnustep-app packages with the new ABI, but sope2 fails to link with some interesting errors.

This revision was not accepted when it landed; it landed in state Needs Review.Jan 3 2019, 6:10 PM
This revision was automatically updated to reflect the committed changes.